edu.msu.cme.rdp.classifier.cli

## Class CmdOptions

- java.lang.Object
- - edu.msu.cme.rdp.classifier.cli.CmdOptions

    public class CmdOptions
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `BIOMFILE_DESC`
`static java.lang.String` `BIOMFILE_LONG_OPT`
`static java.lang.String` `BIOMFILE_SHORT_OPT`
`static java.lang.String` `BOOTSTRAP_DESC`
`static java.lang.String` `BOOTSTRAP_LONG_OPT`
`static java.lang.String` `BOOTSTRAP_OUTFILE_DESC`
`static java.lang.String` `BOOTSTRAP_OUTFILE_LONG_OPT`
`static java.lang.String` `BOOTSTRAP_OUTFILE_SHORT_OPT`
`static java.lang.String` `BOOTSTRAP_SHORT_OPT`
`static float` `DEFAULT_CONF`
`static ClassificationResultFormatter.FORMAT` `DEFAULT_FORMAT`
`static java.lang.String` `DEFAULT_GENE`
`static java.lang.String` `FORMAT_DESC`
`static java.lang.String` `FORMAT_LONG_OPT`
`static java.lang.String` `FORMAT_SHORT_OPT`
`static java.lang.String` `GENE_DESC`
`static java.lang.String` `GENE_LONG_OPT`
`static java.lang.String` `GENE_SHORT_OPT`
`static java.lang.String` `HIER_OUTFILE_DESC`
`static java.lang.String` `HIER_OUTFILE_LONG_OPT`
`static java.lang.String` `HIER_OUTFILE_SHORT_OPT`
`static java.lang.String` `METADATA_DESC`
`static java.lang.String` `METADATA_LONG_OPT`
`static java.lang.String` `METADATA_SHORT_OPT`
`static java.lang.String` `MIN_BOOTSTRAP_WORDS_LONG_OPT`
`static java.lang.String` `MIN_BOOTSTRAP_WORDS_SHORT_OPT`
`static java.lang.String` `MIN_WORDS_DESC`
`static java.lang.String` `OUTFILE_DESC`
`static java.lang.String` `OUTFILE_LONG_OPT`
`static java.lang.String` `OUTFILE_SHORT_OPT`
`static java.lang.String` `QUERYFILE_DESC`
`static java.lang.String` `QUERYFILE_LONG_OPT`
`static java.lang.String` `QUERYFILE_SHORT_OPT`
`static java.lang.String` `RANK_LONG_OPT`
`static java.lang.String` `RANK_SHORT_OPT`
`static java.lang.String` `SAMPLE_LONG_OPT`
`static java.lang.String` `SHORTSEQ_OUTFILE_DESC`
`static java.lang.String` `SHORTSEQ_OUTFILE_LONG_OPT`
`static java.lang.String` `SHORTSEQ_OUTFILE_SHORT_OPT`
`static java.lang.String` `TAXON_LONG_OPT`
`static java.lang.String` `TAXON_SHORT_OPT`
`static java.lang.String` `TRAINPROPFILE_DESC`
`static java.lang.String` `TRAINPROPFILE_LONG_OPT`
`static java.lang.String` `TRAINPROPFILE_SHORT_OPT`

### Constructor Summary

Constructors
Constructor and Description
`CmdOptions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_FORMAT

    public static ClassificationResultFormatter.FORMAT DEFAULT_FORMAT

#### DEFAULT_CONF

    public static float DEFAULT_CONF

#### DEFAULT_GENE

    public static java.lang.String DEFAULT_GENE

#### QUERYFILE_LONG_OPT

    public static final java.lang.String QUERYFILE_LONG_OPT

See Also:
  Constant Field Values

#### OUTFILE_LONG_OPT

    public static final java.lang.String OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### TRAINPROPFILE_LONG_OPT

    public static final java.lang.String TRAINPROPFILE_LONG_OPT

See Also:
  Constant Field Values

#### FORMAT_LONG_OPT

    public static final java.lang.String FORMAT_LONG_OPT

See Also:
  Constant Field Values

#### GENE_LONG_OPT

    public static final java.lang.String GENE_LONG_OPT

See Also:
  Constant Field Values

#### MIN_BOOTSTRAP_WORDS_LONG_OPT

    public static final java.lang.String MIN_BOOTSTRAP_WORDS_LONG_OPT

See Also:
  Constant Field Values

#### HIER_OUTFILE_LONG_OPT

    public static final java.lang.String HIER_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### BOOTSTRAP_LONG_OPT

    public static final java.lang.String BOOTSTRAP_LONG_OPT

See Also:
  Constant Field Values

#### RANK_LONG_OPT

    public static final java.lang.String RANK_LONG_OPT

See Also:
  Constant Field Values

#### TAXON_LONG_OPT

    public static final java.lang.String TAXON_LONG_OPT

See Also:
  Constant Field Values

#### BOOTSTRAP_OUTFILE_LONG_OPT

    public static final java.lang.String BOOTSTRAP_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### SHORTSEQ_OUTFILE_LONG_OPT

    public static final java.lang.String SHORTSEQ_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### BIOMFILE_LONG_OPT

    public static final java.lang.String BIOMFILE_LONG_OPT

See Also:
  Constant Field Values

#### SAMPLE_LONG_OPT

    public static final java.lang.String SAMPLE_LONG_OPT

See Also:
  Constant Field Values

#### METADATA_LONG_OPT

    public static final java.lang.String METADATA_LONG_OPT

See Also:
  Constant Field Values

#### QUERYFILE_SHORT_OPT

    public static final java.lang.String QUERYFILE_SHORT_OPT

See Also:
  Constant Field Values

#### OUTFILE_SHORT_OPT

    public static final java.lang.String OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### TRAINPROPFILE_SHORT_OPT

    public static final java.lang.String TRAINPROPFILE_SHORT_OPT

See Also:
  Constant Field Values

#### FORMAT_SHORT_OPT

    public static final java.lang.String FORMAT_SHORT_OPT

See Also:
  Constant Field Values

#### GENE_SHORT_OPT

    public static final java.lang.String GENE_SHORT_OPT

See Also:
  Constant Field Values

#### MIN_BOOTSTRAP_WORDS_SHORT_OPT

    public static final java.lang.String MIN_BOOTSTRAP_WORDS_SHORT_OPT

See Also:
  Constant Field Values

#### HIER_OUTFILE_SHORT_OPT

    public static final java.lang.String HIER_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### BOOTSTRAP_SHORT_OPT

    public static final java.lang.String BOOTSTRAP_SHORT_OPT

See Also:
  Constant Field Values

#### RANK_SHORT_OPT

    public static final java.lang.String RANK_SHORT_OPT

See Also:
  Constant Field Values

#### TAXON_SHORT_OPT

    public static final java.lang.String TAXON_SHORT_OPT

See Also:
  Constant Field Values

#### BOOTSTRAP_OUTFILE_SHORT_OPT

    public static final java.lang.String BOOTSTRAP_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### SHORTSEQ_OUTFILE_SHORT_OPT

    public static final java.lang.String SHORTSEQ_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### BIOMFILE_SHORT_OPT

    public static final java.lang.String BIOMFILE_SHORT_OPT

See Also:
  Constant Field Values

#### METADATA_SHORT_OPT

    public static final java.lang.String METADATA_SHORT_OPT

See Also:
  Constant Field Values

#### QUERYFILE_DESC

    public static final java.lang.String QUERYFILE_DESC

See Also:
  Constant Field Values

#### OUTFILE_DESC

    public static final java.lang.String OUTFILE_DESC

See Also:
  Constant Field Values

#### TRAINPROPFILE_DESC

    public static final java.lang.String TRAINPROPFILE_DESC

See Also:
  Constant Field Values

#### FORMAT_DESC

    public static final java.lang.String FORMAT_DESC

#### GENE_DESC

    public static final java.lang.String GENE_DESC

#### MIN_WORDS_DESC

    public static final java.lang.String MIN_WORDS_DESC

See Also:
  Constant Field Values

#### HIER_OUTFILE_DESC

    public static final java.lang.String HIER_OUTFILE_DESC

See Also:
  Constant Field Values

#### BOOTSTRAP_DESC

    public static final java.lang.String BOOTSTRAP_DESC

#### BOOTSTRAP_OUTFILE_DESC

    public static final java.lang.String BOOTSTRAP_OUTFILE_DESC

See Also:
  Constant Field Values

#### SHORTSEQ_OUTFILE_DESC

    public static final java.lang.String SHORTSEQ_OUTFILE_DESC

See Also:
  Constant Field Values

#### BIOMFILE_DESC

    public static final java.lang.String BIOMFILE_DESC

See Also:
  Constant Field Values

#### METADATA_DESC

    public static final java.lang.String METADATA_DESC

See Also:
  Constant Field Values

### Constructor Detail

#### CmdOptions

    public CmdOptions()